> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-google-workspace-action-examples.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get returns metadata for the provider credential in the given slot. The
 stored API key is never returned. Returns an empty response if no
 credential has ever been set for the slot; a cleared slot returns
 FAILED_PRECONDITION.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/llm-gateway/provider-credentials/{slot_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/llm-gateway/provider-credentials/{slot_id}:
    get:
      tags:
        - LLM Gateway Provider Credentials
      summary: Get
      description: |-
        Get returns metadata for the provider credential in the given slot. The
         stored API key is never returned. Returns an empty response if no
         credential has ever been set for the slot; a cleared slot returns
         FAILED_PRECONDITION.
      operationId: c1.api.llm_gateway.v1.ProviderCredentialService.Get
      parameters:
        - in: path
          name: slot_id
          required: true
          schema:
            description: The slotId field.
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.llm_gateway.v1.GetProviderCredentialResponse
          description: Successful response
components:
  schemas:
    c1.api.llm_gateway.v1.GetProviderCredentialResponse:
      description: The GetProviderCredentialResponse message.
      properties:
        credential:
          oneOf:
            - $ref: '#/components/schemas/c1.api.llm_gateway.v1.ProviderCredential'
            - type: 'null'
      title: Get Provider Credential Response
      type: object
      x-speakeasy-name-override: GetProviderCredentialResponse
    c1.api.llm_gateway.v1.ProviderCredential:
      description: The ProviderCredential message.
      properties:
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type: string
        headerStyle:
          description: The headerStyle field.
          enum:
            - PROVIDER_CREDENTIAL_HEADER_STYLE_UNSPECIFIED
            - PROVIDER_CREDENTIAL_HEADER_STYLE_X_API_KEY
            - PROVIDER_CREDENTIAL_HEADER_STYLE_AUTHORIZATION_BEARER
          type: string
          x-speakeasy-unknown-values: allow
        keyPrefix:
          description: The keyPrefix field.
          type: string
        revokedAt:
          format: date-time
          type:
            - string
            - 'null'
        slotId:
          description: The slotId field.
          type: string
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
        userId:
          description: The userId field.
          type: string
      title: Provider Credential
      type: object
      x-speakeasy-name-override: ProviderCredential
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````